Subject: PaginateController uses wrong offset
Description

The PaginateController doesn't work with an offset set in the original query.

Example:
7 news records should be displayed with an offset of 2 (explanation could be that the 1st 2 records are rendered with a different
plugin). itemsPerPage = 3

1st page should show:
item 4
item 5
item 6
2nd page should show
item 7
-------------------------

currently output is:
1st page:
item 4
item 5
item 6
2nd page:
item 4
item 5
item 6
3rd page:
item 7

the possible offset of the query is not checked.

History
#1 - 2010-11-22 13:41 - Georg Ringer
- File fluid-paginate-offset_v2.patch added

#2 - 2010-11-24 20:52 - Bastian Waidelich
- Project changed from Extbase MVC Framework to TYPO3.Fluid

#3 - 2010-11-24 20:56 - Bastian Waidelich
- Category set to Widgets
- Branch set to v4 + v5
Note: The first part of the patch:

$this->numberOfPages = ceil((count($this->objects)-$query->getOffset()) / (integer)$this->configuration['itemsPerPage']);

is not needed anymore, as count() already retrieves the limited number of result (see #10956)

#4 - 2011-05-06 10:35 - Sebastian Kurfuerst
- Status changed from New to Closed

should be fixed now, as the Paginate Widget has been completely rebuilt in v5 (and will be soon backported)

Files
fluid-paginate-offset.patch 1.2 kB 2010-11-22 Georg Ringer
fluid-paginate-offset_v2.patch 1.2 kB 2010-11-22 Georg Ringer
